package SM.ginf;

import org.ginf.*;
import org.ginf.helpers.*;
import org.w3c.rdf.*;
import org.xml.sax.*;
import java.io.*;

/**
 * This class provides handy access to schema information.
 * THIS FILE HAS BEEN GENERATED AUTOMATICALLY.
 */

public class HelloWorld implements SchemaLoader {

  /** Namespace URI of this schema */
  public static final String NS = "http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-hello-world";

  public static final Resource string = new Resource(NS + "#string");

  /** This is a request for a string */
  public static final Resource GetString = new Resource(NS + "#GetString");

  /** This is a reply containing the string */
  public static final Resource StringToPrint = new Resource(NS + "#StringToPrint");


  static final String _schemaData = "<?xml version='1.0' encoding='ISO-8859-1'?>"+
	"<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\""+
	"	 xmlns:s=\"http://www.w3.org/TR/WD-rdf-schema#\">"+
	"<s:Class rdf:ID=\"GetString\">"+
	"	<s:subClassOf rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#Request\"/>"+
	"</s:Class>"+
	"<s:Class rdf:ID=\"StringToPrint\">"+
	"	<s:subClassOf rdf:resource=\"http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm#Reply\"/>"+
	"</s:Class>"+
	"<rdf:Property rdf:ID=\"string\">"+
	"	<s:domain rdf:resource=\"#StringToPrint\"/>"+
	"	<s:range rdf:resource=\"http://www.w3.org/TR/WD-rdf-schema#Literal\"/>"+
	"</rdf:Property>"+
	"</rdf:RDF>"+
	"";

  public boolean loadSchema(String uri, RDFFactory factory) {

    if(NS.equals(uri)) {
      InputSource source = new InputSource( new StringReader( _schemaData ) );
      source.setSystemId(NS);
      factory.registry().fetch(source);
      return true;
    } else
      return false;
  }

}
